#ifndef STA_TACOS_CONFIGS_DEFAULT_HPP
#define STA_TACOS_CONFIGS_DEFAULT_HPP

// Generally, we assume the TACOS threads to have the highest priorties.
#define STA_TACOS_MANAGER_PRIORITY          osPriorityHigh
#define STA_TACOS_STATEMACHINE_PRIORITY     osPriorityHigh
#define STA_TACOS_WATCHDOG_PRIORITY         osPriorityHigh
#define STA_TACOS_CAN_BUS_PRIORITY         osPriorityNormal

// Per default, we assume state 0 to be the initial state.
#define STA_TACOS_INITIAL_STATE             0

// Can Bus settings
#define STA_RTOS_CAN_BUS_QUEUE_LENGTH 5
#define STA_RTOS_CAN_BUS_MAX_FILTER 14
#define STA_RTOS_CAN_BUS_MAX_PAYLOAD_SIZE 8

#endif // STA_TACOS_CONFIGS_DEFAULT_HPP
