/*
 * tacos.cpp
 *
 *  Created on: Jan 2, 2024
 *      Author: Dario
 */

#include <sta/tacos.hpp>

namespace sta
{
    namespace tacos
    {
		uint16_t getState()
        {
            return Statemachine::instance()->getCurrentState();
        }

		void setState(uint32_t from, uint32_t to, uint32_t lockout /* = 0 */)
        {
            Statemachine::instance()->requestStateTransition(from, to, lockout);
        }

		void setStateTimed(uint32_t from, uint32_t to, uint32_t millis, uint32_t lockout /* = 0 */)
        {
            Statemachine::instance()->requestTimedStateTransition(from, to, millis, lockout);
        }
		/*bool queueCanBusMsg(const CanDataMsg & msg, uint32_t timeout){
			//extern CAN_HandleTypeDef hcan1;
			//return CanBus::instance(STA_STM32_CAN_HANDLE)->queueCanBusMsg(msg, timeout);
			return false;
		}*/
    } // namespace tacos
    
} // namespace sta


